Subject: [PATCH 7/7] Document the use of the arm64 contpte/nonconpte flags.

From: [email-masked] (Catalin Marinas)
Date: Tue, 6 Oct 2015 10:42:55 +0100

On Mon, Oct 05, 2015 at 01:29:55PM -0500, Jeremy Linton wrote:
> On 10/05/2015 11:49 AM, Catalin Marinas wrote:
> >I recall you asked the question but I didn't have the time to reply. I
> >don't think we need a command line option for this. In the "unlikely"
> >event that something is broken in hardware (or software) and we want to
> >disable the contiguous bit, I would rather have a Kconfig option.
> 
> 	How about both? Other users of early_param_on_off() set the default state
> using kconfig. Is that an acceptable choice, or should I remove the command
> line parameter all together? I sort of expect that in a few years time, the
> whole option goes away once it been in use for a while and there are a
> number of V8 implementations widely available.

If for debugging purposes we could get away with just changing
PAGE_KERNEL_EXEC_CONT, I think we can avoid both command line and
Kconfig option. Otherwise only a Kconfig option, I don't see much point
in a command line option (maybe benchmarking).

-- 
Catalin